function [L,U,P] = LUfactorizationPivoted( A )
% Pivoted Lu factorization for numerical stability
%  input:  A squared matrix
%  output: L lower triangular matrix
%          U upper triangular matrix
%          P row permutation matrix such that   LU = PA

[m,n] = size(A);

% we need to check that the matrix is squared
if m ~= n
    error('Matrix is not squared')
end

% you allocate a sparse matrix for the row permutation matrix
P = speye(n);

% remember that you can use the function findmax(abs(v)) to obtain the index of
% the element of the vector v, with the biggest absolute value. 






end

